This thread is resolved. Here is a description of the problem and solution.

Problem: "Language of... Cannot be recognized" Solution: The client had an outdated versions of WPML and additional plugins.

This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

Author Posts
July 4, 2019 at 12:02 pm #4142989

gijsH

I'm trying te create a new post, get a error message instead. If I disable String Translation, the error stops.

July 4, 2019 at 12:56 pm #4143415

Bruno Kos
Supporter

Languages: English (English )

Timezone: Europe/Zagreb (GMT+02:00)

Hi,

Thank you for contacting WPML support!

According to your debug information, I see that you have WPML Multilingual CMS 4.2.0 installed. Can you update this plugin (and also all the other WPML add-ons you're using) before we resume debugging this?

You can compare your installed versions with this:
https://wpml.org/account/downloads/

I would also suggest that you update any other plugin you may be using on site.

Regards,
Bruno Kos

July 4, 2019 at 1:26 pm #4143869

gijsH

Hi Bruno,

Thank you for your quick answer, it fixed my problems. What's strange, is that I never received any update notifications on my dashboard (the website has always been fully registered on Account » Sites). So I removed my current registration and added it back. After that, I could update.

Kind regards, Gijs